%define lib_major 2
%define libname  %mklibname %{name} %{lib_major}
%define libnamedev  %mklibname -d %{name}

Summary: GNOME magnifier
Name: gnome-mag
Version: 0.16.3
Release: %mkrel 3
License: LGPLv2+
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(ORBit-2.0) >= 2.3.100
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(gdk-pixbuf-2.0) >= 2.1.0
BuildRequires: pkgconfig(glib-2.0) >= 2.11.1
BuildRequires: pkgconfig(gmodule-2.0) >= 1.3.11
BuildRequires: pkgconfig(gobject-2.0) >= 1.3.11
BuildRequires: pkgconfig(gthread-2.0) >= 1.3.11
BuildRequires: pkgconfig(gtk+-2.0) >= 2.14
BuildRequires: pkgconfig(libbonobo-2.0) >= 1.107.0
BuildRequires: pkgconfig(libloginhelper-1.0) >= 1.5.2
BuildRequires: pkgconfig(libspi-1.0) >= 1.5.0
BuildRequires: pkgconfig(xcomposite)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xrender)
BuildRequires: GConf2
BuildRequires: intltool >= 0.35.0

%description
GNOME Magnifier

%package -n %{libname}
Summary:	GNOME magnifier shared library
Group:		System/Libraries
Provides:	lib%{name} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
GNOME Magnifier shared library.

%package -n %{libnamedev}
Summary:	Static libraries, include files for gnome-mag
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes: %mklibname -d %{name} %{lib_major}

%description -n %{libnamedev}
Development libraries and , include files for GNOME magnifier.

%prep
%setup -q

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%find_lang %{name}

mv %buildroot%_datadir/doc/gnome-mag-* installed-docs

%files -f %{name}.lang
%doc README AUTHORS ChangeLog
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/orbit-2.0/*
%{_datadir}/gnome-mag
%_datadir/dbus-1/services/org.freedesktop.gnome.Magnifier.service
%{_datadir}/idl/*
%_mandir/man1/magnifier.1*

%files -n %{libname}
%{_libdir}/libgnome-mag.so.%{lib_major}*

%files -n %{libnamedev}
%doc installed-docs/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.16.3-3.mga3
+ Revision: 352145
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 30 2012 fwang <fwang> 0.16.3-2.mga2
+ Revision: 203210
- drop .la file
- cleanup .spec file

* Thu Apr 14 2011 dams <dams> 0.16.3-1.mga1
+ Revision: 84945
- Update to 0.16.3

* Sun Apr 10 2011 dmorgan <dmorgan> 0.16.1-1.mga1
+ Revision: 82957
- Remove mdv macros
- imported package gnome-mag

